package Logoved::Stream::Listener::Factory::Container;
use Carp;
use Moo;
with 'Logoved::Role::Stream::Listener::Factory';

has container => (is => 'ro', default => sub { [] });

sub init_new_stream {
    my $self=shift;
    map {$_->init_new_stream(@_)} @{$self->container};
}

sub done_new_stream {
    my $self=shift;
    map {$_->done_new_stream(@_)} @{$self->container};
}

sub get_listeners_for {
    my $self=shift;
    my @listeners=map {@{$_->get_listeners_for(@_)}} @{$self->container};
    return \@listeners;
}

1;
