package Logoved::Stream::Out::Section::beehive::rpm::missing;
use Moo;
extends 'Logoved::Stream::Out::Section';
with 'Logoved::Role::Stream::Out::Section';

sub is_unique { return 0 };

sub get_error_classes {
    use Logoved::Stream::Out::Section::hasher::timeout;
    return qw/
	Logoved::Stream::Out::Section::hasher::timeout
	/;
}

sub unshift_sections_on_reject {
    return qw/
	Logoved::Stream::Out::Section::beehive::rpm::missing
	Logoved::Stream::Out::Section::beehive::rpm::diff
	/;
}

my $missing0=qr!^error: open of /(?:archive|ALT)/repo/\S+/RPMS/([^/]+)\.[^\.]+\.rpm failed: No such file or directory\s*$!;

sub match_section_start {
    my ($self, $line) = @_;
    return $line=~ $missing0;
}

sub accept {
    my ($self, $line) = @_;
    if (0==$self->count and $line=~ $missing0) {
	my $nvr=$1;
	my $messager=$self->messager;
	$messager->send_message('section_id', $nvr);
	$messager->send_message('section_nvr', $nvr);
	return 1;
    }
    return 0;
}
 

1;
__END__
Wrote: /usr/src/RPM/RPMS/i586/golang-github-xeipuuv-gojsonschema-unit-test-devel-0-alt1_0.5.20180814git6b67b3f.i586.rpm
3.72user 0.53system 0:08.19elapsed 52%CPU (0avgtext+0avgdata 13000maxresident)k
0inputs+0outputs (0major+146817minor)pagefaults 0swaps
19.30user 3.49system 0:27.90elapsed 81%CPU (0avgtext+0avgdata 127228maxresident)k
0inputs+0outputs (0major+620759minor)pagefaults 0swaps
error: open of /ALT/repo/sisyphus/task/archive/_206/211362/files/noarch/RPMS/golang-github-xeipuuv-gojsonschema-devel-0-alt1_0.5.20180814git6b67b3f.noarch.rpm failed: No such file or directory
error: open of /ALT/repo/sisyphus/task/archive/_206/211362/files/i586/RPMS/golang-github-xeipuuv-gojsonschema-unit-test-devel-0-alt1_0.5.20180814git6b67b3f.i586.rpm failed: No such file or directory
__END__
9.71user 7.30system 0:24.24elapsed 70%CPU (0avgtext+0avgdata 24128maxresident)k
0inputs+0outputs (0major+531069minor)pagefaults 0swaps
--- atsar_linux-1.7-alt1.i586.rpm.repo	2006-09-19 15:35:23.000000000 +0000
+++ atsar_linux-1.7-alt1.i586.rpm.hasher	2020-04-29 09:08:45.294272768 +0000
@@ -10,11 +10,10 @@
 /usr/share/doc/atsar_linux-1.7/README	100644	
-/usr/share/man/man1/atsadc.1.gz	100644	
-/usr/share/man/man1/atsar.1.gz	100644	
+/usr/share/man/man1/atsadc.1.xz	100644	
+/usr/share/man/man1/atsar.1.xz	100644	
 /var/log/atsar	40755	
 Requires: /bin/sh  
+Requires: /bin/bash  
 Requires: /bin/sh  
-Requires: /bin/sh  
-Requires: rpmlib(PayloadFilesHavePrefix) <= 4.0-1
-Requires: rpmlib(CompressedFileNames) <= 3.0.4-1
 Requires: /etc/cron.d  
+Requires: /etc/rc.d/init.d  
 Requires: /etc/rc.d/init.d(start_daemon)  
@@ -22,3 +21,4 @@
 Requires: /etc/rc.d/init.d(stop_daemon)  
-Requires: bash  
+Requires: /etc/rc.d/init.d/functions  
+Requires: /lib/ld-linux.so.2  
 Requires: coreutils  
@@ -30,4 +30,8 @@
 Requires: libc.so.6(GLIBC_2.3.4)  
-Requires: service  
-Requires: sh  
+Requires: libc.so.6(GLIBC_2.4)  
+Requires: libc.so.6(GLIBC_2.7)  
+Requires: rtld(GNU_HASH)  
+Requires: /sbin/chkconfig  
+Requires: coreutils  
+Requires: rpmlib(PayloadIsLzma)  
 Provides: atsar_linux = 1.7-alt1
error: open of /archive/repo/sisyphus/task/_244/250788/files/i586/RPMS/atsar_linux-debuginfo-1.7-alt1.i586.rpm failed: No such file or directory
