package Logoved::Stream::Out::Section::hasher::chroot::warning::sisyphus_check;
use Logoved::Stream::Out::Section::common::warning::sisyphus_check qw/$sisyphus_check_warning_re/;
use Moo;
extends 'Logoved::Stream::Out::Section';
with 'Logoved::Role::Stream::Out::Section';

sub match_section_start {
    my ($self, $line) = @_;
    return $line =~ $sisyphus_check_warning_re;
};

sub accept {
    my ($self, $line) = @_;
    return $line =~ $sisyphus_check_warning_re;
};

sub keep_error_classes { return 1 }
sub keep_pop_up_classes { return 1 }

1;
__END__
<86>Dec  3 07:17:09 useradd[12252]: new user: name=builder, UID=556, GID=556, home=/usr/src, shell=/bin/bash
/usr/src/in/srpm/asoundconf-0.1-alt1.src.rpm: The use of such a license name is ambiguous: GPL
Building target platforms: i586
Building for target i586
Wrote: /usr/src/in/nosrpm/asoundconf-0.1-alt1.nosrc.rpm
Installing asoundconf-0.1-alt1.src.rpm
Building target platforms: i586
Building for target i586
Executing(%prep): /bin/sh -e /usr/src/tmp/rpm-tmp.37096
__END__
<86>Dec  6 07:06:44 useradd[28371]: new user: name=builder, UID=580, GID=580, home=/usr/src, shell=/bin/bash
/usr/src/in/srpm/frotz-2.43-alt1.src.rpm: The use of such a license name is ambiguous: GPL
/usr/src/in/srpm/frotz-2.43-alt1.src.rpm: license not found in '/usr/share/license' directory: v2
warning: user alex does not exist - using root
warning: group alex does not exist - using root
warning: user alex does not exist - using root
warning: group alex does not exist - using root
<13>Dec  6 07:06:48 rpmi: libtinfo-devel-6.1.20180407-alt2 sisyphus+222164.200.1.1 1550686226 installed
<13>Dec  6 07:06:48 rpmi: libncurses-devel-6.1.20180407-alt2 sisyphus+222164.200.1.1 1550686226 installed
Building target platforms: i586
Building for target i586
Wrote: /usr/src/in/nosrpm/frotz-2.43-alt1.nosrc.rpm
Installing frotz-2.43-alt1.src.rpm
Building target platforms: i586
Building for target i586
Executing(%prep): /bin/sh -e /usr/src/tmp/rpm-tmp.10298
