package Logoved::Stream::Out::Section::hasher::sisyphus_check;
use Moo;
use Logoved::Stream::Out::Section::time;
extends 'Logoved::Stream::Out::Section';
with 'Logoved::Role::Stream::Out::Section';

sub is_mandatory {return 1};

sub get_error_classes {
    use Logoved::Stream::Out::Section::hasher::timeout;
    return qw/
	Logoved::Stream::Out::Section::hasher::timeout
	/;
}

sub match_section_start {
    my ($self, $line) = @_;
    return ($line!~ $Logoved::Stream::Out::Section::time::line0) && ($line!~ $Logoved::Stream::Out::Section::time::line1);
};

#sub accept {
#    my ($self, $line) = @_;
#    return $line!~ $Logoved::Stream::Out::Section::time::line0;
#};

1;
__END__
Finding Requires (using /usr/lib/rpm/find-requires)
Executing: /bin/sh -e /usr/src/tmp/rpm-tmp.hHilZm
find-requires: running scripts (debuginfo)
Requires: python-module-Numeric = 24.2-alt6, debug(libc.so.6), debug(liblapack.so.4), debug(libm.so.6), debug(libpthread.so.0), debug(libpython2.7.so.1.0)
Adding to python-module-Numeric-demo a strict dependency on python-module-Numeric
Removing 4 extra deps from python-module-Numeric-demo due to dependency on python-module-Numeric
Removing 2 extra deps from python-module-Numeric-demo due to repentancy on python-module-Numeric
warning: Installed (but unpackaged) file(s) found:
    /usr/lib/python2.7/site-packages/Numeric/arrayfns.so
Wrote: /usr/src/RPM/RPMS/i586/python-module-Numeric-24.2-alt6.i586.rpm
Wrote: /usr/src/RPM/RPMS/i586/python-module-Numeric-devel-24.2-alt6.i586.rpm
Wrote: /usr/src/RPM/RPMS/i586/python-module-Numeric-demo-24.2-alt6.i586.rpm
Wrote: /usr/src/RPM/RPMS/i586/python-module-Numeric-debuginfo-24.2-alt6.i586.rpm
22.63user 1.96system 0:36.14elapsed 68%CPU (0avgtext+0avgdata 56000maxresident)k
0inputs+0outputs (0major+769393minor)pagefaults 0swaps
/.out/python-module-Numeric-24.2-alt6.i586.rpm: unpackaged directory: /usr/lib/python2.7/site-packages/Numeric/Numeric-24.2-py2.7.egg-info
/.out/python-module-Numeric-24.2-alt6.i586.rpm: unpackaged directory: /usr/lib/python2.7/site-packages/Numeric/Numeric_headers/Numeric
sisyphus_check: check-subdirs ERROR: subdirectories packaging violation
hsh-rebuild: python-module-Numeric-24.2-alt6.src.rpm: sisyphus_check failed.
Command exited with non-zero status 1
35.40user 4.76system 1:00.24elapsed 66%CPU (0avgtext+0avgdata 127572maxresident)k
0inputs+0outputs (0major+1338285minor)pagefaults 0swaps
__END__
Wrote: /usr/src/RPM/RPMS/i586/gemrb-0.8.5-alt1_1.i586.rpm
Wrote: /usr/src/RPM/RPMS/i586/gemrb-debuginfo-0.8.5-alt1_1.i586.rpm
230.58user 24.29system 3:23.30elapsed 125%CPU (0avgtext+0avgdata 337548maxresident)k
0inputs+0outputs (0major+9168633minor)pagefaults 0swaps
/.out/gemrb-0.8.5-alt1_1.i586.rpm: forbidden requires: /usr/bin/python
sisyphus_check: check-deps ERROR: package dependencies violation
hsh-rebuild: gemrb-0.8.5-alt1_1.src.rpm: sisyphus_check failed.
Command exited with non-zero status 1
247.53user 27.57system 3:51.27elapsed 118%CPU (0avgtext+0avgdata 337548maxresident)k
28120inputs+0outputs (0major+9622935minor)pagefaults 0swaps
