package Logoved::Stream::Out::Section::hasher::timeout;
use Moo;
extends 'Logoved::Stream::Out::Section';
with 'Logoved::Role::Stream::Out::Section';

sub match_section_start {
    my ($self, $line) = @_;
    # quick check
    return 0 if $line!~m!^(?:hasher-priv: master: |beehive: total build )!;
    return 1 if $line=~m!^beehive: total build time limit \(\d+ seconds\) exceeded!;
    return 1 if $line=~m!hasher-priv: master: (?:idle time|time elapsed) limit \(\d+ seconds\) exceeded!;
    return 1 if $line=~m!^hasher-priv: master: bytes (?:read|written) limit \(\d+ bytes\) exceeded!;
    return 0;
};

1;
__END__
make  check-local

hasher-priv: master: idle time limit (3600 seconds) exceeded
hsh-rebuild: rebuild of `cvs-1.11.23-alt6.src.rpm' failed.
Command exited with non-zero status 1
13.86user 4.70system 1:01:05elapsed 0%CPU (0avgtext+0avgdata 127240maxresident)k
2536inputs+0outputs (0major+355099minor)pagefaults 0swaps
------------------
beehive: total build time limit (21600 seconds) exceeded
------------------
hasher-priv: master: bytes written limit (343932928 bytes) exceeded
hasher-priv: master: time elapsed limit (28800 seconds) exceeded
