package Logoved::Stream::Out::Section::rpmbuild::error;
use Moo;
extends 'Logoved::Stream::Out::Section';
with 'Logoved::Role::Stream::Out::Section';

sub match_section_start {
    my ($self, $line) = @_;
    # failsafe
    return 1 if $line=~m!^RPM build errors:!;
    return 1 if $line=~m!^hsh-rebuild: rebuild of `\S+' failed\.!;

    # _unpackaged_files_terminate_build 1
    return 1 if $line=~m!^error: File list check failed, terminating build!;
    # for %files
    #error: No such file or directory: /usr/src/tmp/clisp-buildroot/usr/bin/clisp
    #error: File not found: /usr/src/tmp/bacula-buildroot/usr/sbin/bacula-fd
    return 1 if $line=~m!^error: (?:File not found|File not found by glob|No such file or directory|Failed to find Requires|/bin/sh failed): !;
    # for find-requires
    # find-requires: ERROR: /usr/lib/rpm/perl.req failed
    return 1 if $line=~m!^find-requires: ERROR: \S+ failed!;
    return $line=~m!^error: Bad exit status from \S+ \((?:--clean|\%clean|\%prep|\%build|\%install|\%check|\%doc)\)!;
};

1;
__END__
find-requires: running scripts (cpp,debuginfo,files,lib,pam,perl,pkgconfig,pkgconfiglib,python,rpmlib,shebang,shell,static,symlinks)
The encoding pragma is no longer supported. Check cperl at /usr/src/tmp/getlive-buildroot/usr/bin/GetLive.pl line 29.
BEGIN failed--compilation aborted at /usr/src/tmp/getlive-buildroot/usr/bin/GetLive.pl line 29.
no module for encoding UTF-8 at /usr/src/tmp/getlive-buildroot/usr/bin/GetLive.pl line 29
# /usr/src/tmp/getlive-buildroot/usr/bin/GetLive.pl: deparse failed. isPerl=0.0354477034100412.
find-requires: ERROR: /usr/lib/rpm/perl.req failed
error: /bin/sh failed
error: Failed to find Requires


RPM build errors:
    /bin/sh failed
    Failed to find Requires
Command exited with non-zero status 1
-----------------------------------------------
error: Bad exit status from /usr/src/tmp/rpm-tmp.95211 (%build)


RPM build errors:
    Bad exit status from /usr/src/tmp/rpm-tmp.95211 (%build)
Command exited with non-zero status 1
54.41user 2.95system 0:14.97elapsed 383%CPU (0avgtext+0avgdata 149468maxresident)k
0inputs+0outputs (0major+1216074minor)pagefaults 0swaps
hsh-rebuild: rebuild of `openttd-1.8.0-alt1.S1.src.rpm' failed.
Command exited with non-zero status 1
71.18user 6.01system 0:38.28elapsed 201%CPU (0avgtext+0avgdata 149468maxresident)k
0inputs+0outputs (0major+1705164minor)pagefaults 0swaps
--------------------------------------------
find-requires: ERROR: /usr/lib/rpm/perl.req failed
error: /bin/sh failed
error: Failed to find Requires


RPM build errors:
    /bin/sh failed
    Failed to find Requires
Command exited with non-zero status 1
1.90user 0.19system 0:03.90elapsed 53%CPU (0avgtext+0avgdata 7064maxresident)k
0inputs+0outputs (0major+77668minor)pagefaults 0swaps
hsh-rebuild: rebuild of `anykiosk-0.0.2.20101210-alt2.1.qa1.src.rpm' failed.
Command exited with non-zero status 1
16.76user 2.67system 0:24.18elapsed 80%CPU (0avgtext+0avgdata 127624maxresident)k
58600inputs+0outputs (0major+501219minor)pagefaults 0swaps
