package Logoved::Stream::Out::Section::rpmbuild::write;
use File::Basename;
use Moo;
extends 'Logoved::Stream::Out::Section';
with 'Logoved::Role::Stream::Out::Section::rpmbuild';

has rpm_binary_list => ('is' => 'ro', default => sub { [] });

sub is_required_for_success { return 1};
sub is_mandatory {return 1};

my $re = qr!^(?:Wrote|Записано): (\S+\.rpm)(?: \(w\d\w?\d*\.\w+\))?\s*$/!;

sub match_section_start {
    my ($self, $line) = @_;
    # hasher::srpm #Wrote: /usr/src/in/nosrpm/openxcom-1.0_2017.10.15-alt1.nosrc.rpm
    return 0 if $line=~m!^(?:Wrote|Записано): /usr/src/in/(?:no)?srpm/[^/]+\.(?:no)?src\.rpm(?: \(w\d\w?\d*\.\w+\))?\s*$!;
    return $line =~ $re;
};

sub accept {
    my ($self, $line) = @_;
    if ($line =~ $re) {
	my $rpm=basename($1);
	if ('.src.rpm' eq substr($rpm, -8)) {
	    $self->messager->send_message('wrote:src.rpm', $rpm);
	} else {
	    push @{$self->rpm_binary_list}, $rpm;
	}
	return 1;
    } else {
	return 0;
    }
};

before 'commit' => sub {
    my ($self) = @_;
    $self->messager->send_message('wrote:rpms', $self->rpm_binary_list);
};

1;
__END__
Wrote: /usr/src/RPM/RPMS/x86_64/adcli-0.8.2-alt1.S1.x86_64.rpm
Wrote: /usr/src/RPM/RPMS/x86_64/adcli-debuginfo-0.8.2-alt1.S1.x86_64.rpm
16.05user 2.23system 0:22.48elapsed 81%CPU (0avgtext+0avgdata 72972maxresident)k
0inputs+0outputs (0major+1142788minor)pagefaults 0swaps
27.53user 5.15system 0:39.50elapsed 82%CPU (0avgtext+0avgdata 127200maxresident)k
0inputs+0outputs (0major+1670327minor)pagefaults 0swaps
__END__
Wrote: /usr/src/RPM/RPMS/noarch/publican-4.3.2-alt3_13.noarch.rpm (w2.lzdio)
Wrote: /usr/src/in/nosrpm/publican-4.3.2-alt3_13.nosrc.rpm (w1.gzdio)
Wrote: /usr/src/RPM/RPMS/noarch/publican-common-web-4.3.2-alt3_13.noarch.rpm (w2T.xzdio)
__END__
Wrote: /usr/src/RPM/RPMS/noarch/pychess-0.12.4-alt3.noarch.rpm (w2T8.xzdio)
__END__
Wrote: /usr/src/RPM/RPMS/noarch/pychess-0.12.4-alt3.noarch.rpm (w2T32.xzdio)
37.12user 1.82system 0:55.84elapsed 69%CPU (0avgtext+0avgdata 72096maxresident)k
